Plan
For authentication instructions, see API overview.
Endpoints
get
List all plan executions
Returns a list of plan executions. The plan executions are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/plan-executionsResponse
No response schemapost
Create plan executions
Create plan executions. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
fromDatestringtoDatestring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/plan-executions \ -d 'fromDate="2023-04-19"' \ -d 'toDate="2023-04-19"'Response
No response schemaget
Retrieve plan executions
Returns a single plan execution, which you can request by passing through an id in the url.
Path parameters
idstringID of the plan execution
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/plan-executions/:idResponse
No response schemaput
Update plan executions
Path parameters
idstringID of the plan execution
Request body
fromDatestringtoDatestring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/plan-executions/:id \ -d 'fromDate="2023-04-19"' \ -d 'toDate="2023-04-19"'Response
No response schemapatch
Update plan executions soft
Update plan executions soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the plan execution
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/plan-executions/:idResponse
No response schemadelete
Delete plan executions
Path parameters
idstringID of the plan execution
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/plan-executions/deleted/:id